db-ojb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ilkka Priha <impr...@surfeu.fi>
Subject Re: commons-collection 3.0
Date Wed, 09 Jun 2004 05:50:31 GMT
Hi,

Just to note that although OJB itself doesn't use commons-collections, there's 
an indirect run-time dependency caused by commons-pool using at least 
CursorableLinkedList that could cause some compatibility problems when updating.

-- Ilkka


Thomas Dudziak wrote:

> On Mon, 7 Jun 2004, Antonio Gallardo wrote:
> 
> 
>>Jakob Braeuchi dijo:
>>
>>>hi all,
>>>
>>>the problem with commons-collection 3.0 is that torque semms not to like
>>>it.
>>>so i had to go back to 2.1.1
>>
>>Sad to hear that. Is posible to update/upgrade torque too? ;-)
> 
> 
> That is possible, but a lot of work for both the developers and the
> users. The main reason for this is that they changed the whole Torque
> build script, so the complete test-db build process has to be
> adapted. Also, they renamed all properties (i.e. the profiles in OJB), so
> every user that uses Torque has to adapt her own build files as well.
> 
> So I'd suggest we stick to commons-collections 2.1.1 for the 1.0 (which is
> not used in OJB itself anyway). BTW, I'll integrate commons-sql after the
> 1.0 which should provide an easier way to setup the database for both
> OJB's unit tests and for the users so there would no need to use Torque
> for the unit tests anymore.
> 
> Tom
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: ojb-dev-unsubscribe@db.apache.org
> For additional commands, e-mail: ojb-dev-help@db.apache.org
> 
> .
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: ojb-dev-unsubscribe@db.apache.org
For additional commands, e-mail: ojb-dev-help@db.apache.org


Mime
View raw message